
Redmine - Defect #16668

Redmine links broken when object name contains special characters

2014-04-14 17:31 - Darth Vader

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution: Fixed Affected version: 2.5.0

Description

When attaching files with special characters (ampersand is an example), the attachment link does not work:

attachment:"Test & Show.txt" 

Test & Show.txt    

The regular expression in application_helper.rb, parse_redmine_links does parse the filename correctly but it seems that the code

that compares attachments to the filename fails to match the two.

Environment:

  Redmine version                2.5.0.stable

  Ruby version                   1.9.3-p231 (2012-05-25) [i386-mingw32]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.4

  Perforce                       2013.1

  Git                            1.8.5.2

Associated revisions

Revision 13106 - 2014-04-26 09:34 - Jean-Philippe Lang

Redmine links not working with html escpaed characters (#16668).

Revision 13157 - 2014-05-24 18:32 - Jean-Philippe Lang

Merged r13106 (#16668).

History

#1 - 2014-04-16 22:21 - Darth Vader

The regular expression is located at:

source:trunk/app/helpers/application_helper.rb@12954#L748

And the source to associate the file name to the attachment is located at:

source:trunk/app/helpers/application_helper.rb@12954#L871

#2 - 2014-04-26 09:34 - Jean-Philippe Lang

- Subject changed from Attachment link broken when filename contains special characters to Redmine links broken when object name contains

special characters

- Category set to Text formatting

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.2

- Resolution set to Fixed

Fixed in r13106.
https://www.redmine.org/attachments/11459
https://www.redmine.org/projects/redmine/repository/svn/revisions/12954/entry/trunk/app/helpers/application_helper.rb#L748
https://www.redmine.org/projects/redmine/repository/svn/revisions/12954/entry/trunk/app/helpers/application_helper.rb#L871
https://www.redmine.org/projects/redmine/repository/svn/revisions/13106


#3 - 2014-05-24 18:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

Test & Show.txt 11 Bytes 2014-04-14 Darth Vader

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

